| Home | Libraries | People | FAQ | More

##### windows::basic_handle::basic_handle (1 of 3 overloads)

Construct a `windows::basic_handle` without opening it.

    basic_handle(
        boost::asio::io_service & io_service);

This constructor creates a handle without opening it.

###### Parameters

io_service

  The `io_service` object that the handle will use to dispatch handlers for any asynchronous operations performed on the handle.